/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

'use strict';

/**
 * javascript for submitting the form when filtering
 */
export default class CategoryFilter {

	/**
	 * Kicks things off
	 */
	constructor(_newsList) {
		this._newsList = _newsList;
		if (this._newsList) {
			this._form = this._newsList.querySelector('form');
			this._setupEventListeners();
		}
	}

	/**
	 * Adds all EventListener
	 */
	_setupEventListeners() {
		this._newsList.addEventListener('change', this._filterNewslist.bind(this));
	}

	/**
	 * Filter for the newslist, simply apply the form
	 *
	 * @private
	 */
	_filterNewslist() {
		this._form.submit();
	}
}
